Project

General

Profile

Tâche #11443

Distribution EOLE - Scénario #11254: Qualification de la migration de la version 2.3 vers 2.4

upgrade_prerequisites.sh : Vérification des adaptations locales --> erreur dans la liste des paquets indiquéss comme complémentaires

Added by Emmanuel IHRY almost 6 years ago. Updated almost 6 years ago.

Status:
Reporté
Priority:
Normal
Assigned To:
Start date:
02/16/2015
Due date:
% Done:

0%

Remaining (hours):
0.0

Related issues

Copied to supervision-psin - Tâche #11550: upgrade_prerequisites.sh : Vérification des adaptations locales --> erreur dans la liste des paquets indiquéss comme complémentaires Reporté 02/16/2015

History

#1 Updated by Emmanuel IHRY almost 6 years ago

  • Subject changed from upgrade_prerequisites.sh : Vérification des adaptations locales to upgrade_prerequisites.sh : Vérification des adaptations locales --> erreur dans la liste des paquets indiquéss comme complémentaires

Vérification des adaptations locales :

SUR eSBL 5275 zephir-dev

Paquets supplémentaires signalés en erreur

Paquets supplémentaires :

acpid all-ecdl
apt-transport-https apt-utils
bash bash-completion
bsd-mailx bzip2
clamav command-not-found
command-not-found-data dash
debsums diffutils
e2fsprogs eject
eole-debsums eole-debsums-zephir-agent
friendly-recovery fuse-utils
geoip-database gettext-base
gnupg-curl grep
grub-common grub-pc
gzip hostname
ifupdown initscripts
insserv installation-report
iputils-arping iputils-tracepath
irqbalance laptop-detect
less libatm1
libc6-i686 libcap-ng0
libclass-accessor-perl libfont-afm-perl
libfribidi0 libfuse2
libgc1c2 libhtml-format-perl
libio-string-perl liblockfile1
libmailtools-perl libntfs-3g75
libparse-debianchangelog-perl librpc-xml-perl
librrd4 libss2
libsub-name-perl libterm-readkey-perl
linux-firmware linux-image-2.6.32-73-eole
lockfile-progs login
manpages mawk
mount mtr-tiny
nano ncurses-base
netcat-openbsd ntfs-3g
ntpdate plymouth-theme-ubuntu-text
powermgmt-base ppp
pppconfig pppoeconf
python-gdbm python-gnupginterface
python-lxml python-rrdtool
sgml-base ssl-cert
sysv-rc tar
tasksel tasksel-data
telnet tree
ubuntu-keyring ufw
update-manager-core upstart
ureadahead uuid-runtime
vim-tiny w3m
wireless-crda xml-core

#2 Updated by Emmanuel IHRY almost 6 years ago

  • Project changed from Distribution EOLE to supervision-psin

#3 Updated by Emmanuel IHRY almost 6 years ago

  • Distribution changed from EOLE 2.5 to EOLE 2.3

#4 Updated by Emmanuel IHRY almost 6 years ago

même problème sur une sabl, ces paquets sont détectés en anomalie

Paquets supplémentaires :

acpid all-esbl
apt-transport-https apt-utils
bash-completion bsd-mailx
bzip2 clamav
command-not-found command-not-found-data
debsums dictionaries-common
diffutils e2fsprogs
eject eole-debsums
eole-debsums-zephir-agent eole-esbl-glpi
eole-esbl-grr eole-esbl-ocs
eole-geo-ide-base eole-geo-ide-distribution
eole-geoide eole-userpassword
eole-web-config esbl-glpi
esbl-grr esbl-ocs
friendly-recovery fuse-utils
gdal-bin geo-ide-base-php
geoip-database gettext
gettext-base gnupg-curl
grep grub-common
grub-pc gzip
hostname hunspell-fr
ifupdown initscripts
insserv installation-report
intltool-debian iputils-arping
iputils-tracepath irqbalance
language-support-writing-fr laptop-detect
less libapache-dbi-perl
libapache2-mod-perl2 libapache2-mod-rpaf
libatm1 libc-client2007e
libc6-i686 libclass-accessor-perl
libconvert-binhex-perl libdevel-symdump-perl
libemail-abstract-perl libemail-date-format-perl
libemail-date-perl libemail-simple-perl
libfcgi-perl libfont-afm-perl
libfribidi0 libfuse2
libgc1c2 libgd2-xpm
libgdal1-1.6.0 libgeos-3.1.0
libgeos-c1 libgfortran3
libgif4 libgomp1
libhdf4-0-alt libhdf5-serial-1.8.4
libhtml-format-perl libhttp-server-simple-perl
libicu42 libio-string-perl
libio-stringy-perl liblockfile1
liblua5.1-0 libmailtools-perl
libmime-lite-perl libmime-tools-perl
libnetaddr-ip-perl libnetcdf4
libntfs-3g75 libogdi3.2
libossp-uuid-perl libossp-uuid16
libparse-debianchangelog-perl libproc-daemon-perl
libproj0 librpc-xml-perl
librrd4 libsoap-lite-perl
libsub-name-perl libt1-5
libtask-weaken-perl libterm-readkey-perl
libwww-mechanize-perl libxerces-c28
linux-firmware linux-image-2.6.32-73-eole
lockfile-progs login
manpages mawk
mlock mount
mtr-tiny nano
ncurses-base net-tools
netcat-openbsd nmap
ntfs-3g ntpdate
ocsinventory-agent p7zip
php-yii php5-gd
php5-imap php5-ldap
php5-pgsql php5-redis
php5-xmlrpc plymouth-theme-ubuntu-text
po-debconf postgresql
postgresql-8.4 postgresql-client-8.4
postgresql-client-common postgresql-common
powermgmt-base ppp
pppconfig pppoeconf
proj-data python-gdbm
python-gnupginterface python-lxml
python-rrdtool redis-server
sgml-base sysv-rc
tar tasksel
tasksel-data telnet
tree ubuntu-keyring
ufw update-manager-core
upstart ureadahead
uuid-runtime vim-tiny
w3m wfrench
wireless-crda xml-core

#5 Updated by Emmanuel IHRY almost 6 years ago

  • Assigned To set to Benjamin Bohard

#6 Updated by Emmanuel IHRY almost 6 years ago

  • Status changed from Nouveau to En cours

#7 Updated by Benjamin Bohard almost 6 years ago

La détermination des paquets "intrus" est faite en listant les dépendances, récursivement, du paquet "racine" du module à l'aide de la commande apt-rdepends. Indépendamment de la pertinence du choix du paquet racine comme point d'entrée, il semble que cette commande ne permette pas de déterminer les dépendances récursives de manière fiable.

Si le mode "liste noire" est celui préconisé et utilisé, le plus simple est de supprimer le mode "liste blanche". Sinon, il faut envisager une autre méthode pour déterminer les paquets intrus.

#8 Updated by Benjamin Bohard almost 6 years ago

apt-rdepends et debfoster ont été tous deux testés pour obtenir une liste de dépendances. Aucun ne semble être totalement fiable.

#9 Updated by Thierry Bertrand almost 6 years ago

  • Status changed from En cours to Nouveau

#10 Updated by Thierry Bertrand almost 6 years ago

  • Status changed from Nouveau to Reporté
  • Remaining (hours) set to 0.0

Also available in: Atom PDF